Seite 1 von 3 123 LetzteLetzte
Ergebnis 1 bis 10 von 27

Thema: Gambio und Php 7

  1. #1
    Neuer Benutzer
    Registriert seit
    24.06.2015
    Ort
    Berlin
    Beiträge
    14
    Downloads
    103
    Uploads
    0

    Gambio und Php 7

    Einen Wunderschönen liebe Gemeinde,

    nach all dem was ich im Netz zu Gambio und PHP 7 finden konnte, dachte ich mir ich frage hier in der Runde nach bisherigen Erfahrungswerten zu PHP 7 und Gambio. Ich selbst habe Gambio GX3 v3.2.0.0 laufen, hat hier denn schon jemand seinen Shop auf 7.0 umgestellt und kann zum Thema irgendwas zu berichten?


    Euch Allen eine entspannte Restwoche

    Tony

  2. #2
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    2.525
    Downloads
    200
    Uploads
    286

    AW: Gambio und Php 7

    Da es hier vorrangig um die Lauffähigkeit des Gambio unter PHP 7 geht, habe ich das Thema mal in den Gambio GX / Off Topic Bereich verschoben.

    Zumindest lt. Gambio soll es mit PHP 7 mittlerweile keine Schwierigkeiten mehr geben. Der Code sei inzwischen vollständig angepasst worden.
    Beachte aber deine anderen Tools, die du vielleicht zusätzlich im Einsatz hast. Die müssen mit PHP 7 auch klar kommen!
    Funktionen testen in unserem immer aktuellen Gambio Testshop
    Aktuelle Infos zu unserem Gambio Testshop
    Welches Update für welche Version?
    Bilder und Dateien korrekt hochladen und anzeigen
    __________________________________________________ ________________
    Projekt: Flexa Kinderbetten und Hochbetten bei kindermoebel-24.de günstig auf Rechnung kaufen
    System: Gambio GX v2.4.3.1 / PHP Version 5.4.45 / MySQL 5.5.52
    Betreuung durch IT-Recht-Kanzlei München

  3. #3
    Neuer Benutzer Avatar von masterronnow
    Registriert seit
    30.10.2016
    Ort
    Berlin
    Beiträge
    24
    Downloads
    10
    Uploads
    0

    AW: Gambio und Php 7

    Gambio läuft bei mir unter PHP7.0.12 und das ohne Probleme. Meine Gambio Version ist 3.2.0.1!

    Kannst also ohne bedenken auf PHP7 umstellen!

  4. #4
    Neuer Benutzer
    Registriert seit
    24.06.2015
    Ort
    Berlin
    Beiträge
    14
    Downloads
    103
    Uploads
    0

    AW: Gambio und Php 7

    Super, das klingt doch sehr gut, hab mich jetzt nicht mehr getraut und lange gesucht um so sicher zu gehen wie möglich.

    Ich hatte mir den damals zerschossen weil ich das probiert hatte.

    Freut mich, ich danke Euch fürs Feedback und lass Euch wissen wenn etwas schief läuft

    Vielen Dank für das Verschieben Klaus.

  5. #5
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    2.525
    Downloads
    200
    Uploads
    286

    AW: Gambio und Php 7

    Wenn alles gut läuft, kannst du uns das auch ruhig mitteilen
    Funktionen testen in unserem immer aktuellen Gambio Testshop
    Aktuelle Infos zu unserem Gambio Testshop
    Welches Update für welche Version?
    Bilder und Dateien korrekt hochladen und anzeigen
    __________________________________________________ ________________
    Projekt: Flexa Kinderbetten und Hochbetten bei kindermoebel-24.de günstig auf Rechnung kaufen
    System: Gambio GX v2.4.3.1 / PHP Version 5.4.45 / MySQL 5.5.52
    Betreuung durch IT-Recht-Kanzlei München

  6. #6
    Neuer Benutzer
    Registriert seit
    24.06.2015
    Ort
    Berlin
    Beiträge
    14
    Downloads
    103
    Uploads
    0

    AW: Gambio und Php 7

    Hat super funktionert, scheint wirklich schneller zu laufen.

    sehr schön sowas

  7. #7
    Erfahrener Benutzer Avatar von rf-musik
    Registriert seit
    19.06.2015
    Ort
    Schleswig Holstein im hohen Norden
    Beiträge
    390
    Downloads
    176
    Uploads
    0

    AW: Gambio und Php 7

    Hallo,
    auch wir fahren seit einiger zeit die PHP 7 Version mit dem aktuellen Gambio 3.2.0.1 und es läuft ohne Komplikation!
    Sie sind Kreativ? - dann schauen Sie Vorbei...
    auf www.stampcorner.de
    meine Private Hobby Seite: www.automatengeschichte.de
    Shop Version 3.3.1.2 StyleEdit 3

  8. #8
    Neuer Benutzer
    Registriert seit
    25.01.2016
    Beiträge
    6
    Downloads
    30
    Uploads
    0

    AW: Gambio und Php 7

    Hallo zusammen,

    unsere Shop Version ist auch 3.2.0.1. Beim Umstellen von PHP 5.6 auf PHP 7.0.15 werden "deprecated" Warnungen angezeigt. Anhang 587
    Cache und template_c wurde gelöscht. Im Admin Bereich unter System Einstellungen - Logging Einstellungen ist E_DEPRECATED-Meldungen unterdrücken ausgewählt.
    Trotzdem werden die Warnungen angezeigt.

    An was kann das liegen?

    LG Stefan

  9. #9
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    2.525
    Downloads
    200
    Uploads
    286

    AW: Gambio und Php 7

    Auf deinem Screenshot erkennt man leider nichts
    Ich vermute mal, dass da noch Module verbaut sind, die mit PHP 7 nicht zurecht kommen.
    Zumindest würde ich den Shop erstmal updaten auf eine aktuelle 3.2.-Version:

    Gambio GX3 SP 3.2.1.1 vom 15.12.2016
    Gambio GX3 SP 3.2.2.0 vom 05.01.2017
    Gambio GX3 SP 3.2.3.1 vom 08.02.2017

    E_DEPRECATED-Meldungen unterdrücken heißt nur, dass die nicht gelogggt werden.
    Funktionen testen in unserem immer aktuellen Gambio Testshop
    Aktuelle Infos zu unserem Gambio Testshop
    Welches Update für welche Version?
    Bilder und Dateien korrekt hochladen und anzeigen
    __________________________________________________ ________________
    Projekt: Flexa Kinderbetten und Hochbetten bei kindermoebel-24.de günstig auf Rechnung kaufen
    System: Gambio GX v2.4.3.1 / PHP Version 5.4.45 / MySQL 5.5.52
    Betreuung durch IT-Recht-Kanzlei München

  10. #10
    Neuer Benutzer
    Registriert seit
    25.01.2016
    Beiträge
    6
    Downloads
    30
    Uploads
    0

    AW: Gambio und Php 7

    Also Updates im Testshop auf 3.2.3.1 haben nix gebracht. Die Deprecated Meldungen werden noch immer angezeigt.
    Der Live-Shop wurde damals mittels SP`s auf 3.2.0.1 gebracht. Hier könnte ich mir vorstellen, dass alte Module noch vorhanden sind mit denen PHP7 ein Problem hat.
    Was mich aber erstaunt ist, dass wir die jungfreuliche Shopversion 3.2.0.1 in der Testumgebung installiert haben und es dennoch zu diesen deprecated Meldungen kommt. Da sollten doch eigentlich keine alten Module drin sein, oder!

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •